MOUNT_LFS(8) | System Manager's Manual | MOUNT_LFS(8)

# NAME

`mount_lfs` —
mount a log-structured file system

# SYNOPSIS

`mount_lfs` | [`-bdins`] [`-N` nsegs] [`-o` options] special node

# DESCRIPTION

The `mount_lfs` command attaches a log-structured file system special device on to the file system tree at the point node. Both special and node are converted to absolute paths before use. In addition, the lfs_cleanerd(8) utility is invoked to clean the file system periodically.

This command is normally executed by mount(8) at boot time.

The options are as follows:

`-b`
  Instruct the cleaner to count bytes written, rather than segments read, to determine how many segments to clean at once.
`-d`
  Run lfs_cleanerd(8) in debug mode.
`-i`
  Instruct the cleaner to use filesystem idle time as the criterion for aggressive cleaning, instead of system load.
`-o`
  Options are specified with a `-o` flag followed by a comma separated string of options. See the mount(8) man page for possible options and their meanings.
`-N` nsegs
  Clean nsegs segments (or bytes' worth of segments if `-b` is also specified) at a time.
`-n`
  Don't start lfs_cleanerd(8) on the file system.
`-s`
  Cause lfs_cleanerd(8) to read data in small chunks when cleaning the file system.

# SEE ALSO

mount(2), unmount(2), fstab(5), dump_lfs(8), lfs_cleanerd(8), mount(8), newfs_lfs(8)

Ousterhout and Douglis, Beating the I/O Bottleneck: A Case for Log-structured File Systems, Operating Systems Review, No. 1, Vol. 23, pp. 11-27, 1989, also available as Technical Report UCB/CSD 88/467.

Rosenblum and Ousterhout, The Design and Implementation of a Log-Structured File System, ACM SIGOPS Operating Systems Review, No. 5, Vol. 25, 1991.

Seltzer, File System Performance and Transaction Support, PhD Thesis, University of California, Berkeley, 1992, also available as Technical Report UCB/ERL M92.

Seltzer, Bostic, McKusick and Staelin, An Implementation of a Log-Structured File System for UNIX, Proc. of the Winter 1993 USENIX Conf., pp. 315-331, 1993.

# HISTORY

The `mount_lfs` function first appeared in 4.4BSD.

March 31, 2005 | NetBSD 9.4